package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CircuitMapper {
    List<ResultCircuitVo> getAll(String companyName);

    List<ResultCircuitVo> getByTerm(CircuitTermVo circuitTermVo);

    int addCircuit(Map<Object,Object> map);

    int add(Map<Object,Object> map);

    int updateCircuit(Map<Object,Object> map);

    int updateEndTime(UpdateCircuitVo updateCircuitVo);

    int delCircuit(String transportationNo);

    ResultCircuitVo getByTransportationNo(@Param("transportationNo") String transportationNo,@Param("companyName") String companyName);

    Integer getOnRoute(@Param("time") String time,@Param("companyName") String companyName);

    Integer getDelayCount(@Param("compTime") Long compTime, @Param("time") String time,@Param("companyName") String companyName);

    Integer getCount(@Param("time") String time,@Param("companyName") String companyName);

    List<ResultCircuitVo> getByContainerNo(@Param("cargoNo") String cargoNo,@Param("companyName") String companyName);

    ResultCircuitForAppVo getByTransportationNoForApp(@Param("transportationNo") String transportationNo,@Param("companyName") String companyName);

    List<ResultCircuitVo> getByCircuitState(@Param("circuitState") Integer circuitState,@Param("companyName") String companyName);

    int updateEvaluate(UpdateEvaluateVo updateEvaluateVo);

    Integer getNo(String transportationNo);

    ResultGatewayVo getByNo(String transportationNo);

    List<ResultCircuitVo> getByTime(@Param("time") String time,@Param("companyName") String companyName);


    //    Integer getComplted(@Param("time") String time);

    //    List<CircuitVo> getDistinct();
}
